Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post general topics related to Cubase Pro 10, Cubase Artist 10 and Cubase Elements 10 here.
Post Reply
Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Hi all,

I've just upgraded from Cubase 5 to Cubase 10. In doing so, I've lost access to a lot of my older 32-bit VSTs & effects. I had hoped that I would still be able to run Cubase 5 alongside 10 so that I could access old songs etc, but now I can't seem to open Cubase 5 at all. Does anyone know if there is a workaround for this? I don't want to totally lose all the work done, even if it just means converting VST tracks to audio to carry them over into the new version of Cubase.

All help much appreciated!

User avatar
Prock
Grand Senior Member
Posts: 3969
Joined: Sat Jan 05, 2013 4:22 pm
Location: Connecticut, USA
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Prock »

Most likely yes but... what versions of CB 5 and CB 10 do you have?

Regards 8-)
PRock Studio

DAW: Cubase Pro 10.5.20, OS: Win 10 Pro x64, CPU: Intel Core i7 4700K @ 4.0GHz, RAM: 32GB/DDR4/2800MHz, Graphics: 4GB GeForce GTX 960, Mobo: MSI Z170A Gaming Pro Carbon, AI: PreSonus Studio 192 Mobile, Mic Preamp: PreSonus TubePre, Headphone Amp: PreSonus HP4, Studio Monitors: Mackie MR5, 3rd Party VSTs: GSi VB3-II, SampleTank 3, Amplitube 4, Miroslav Philharmonik 2, EZDrummer 2

https://soundcloud.com/prockstudio

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Thanks. Both are the 'full' versions. Cubase 5 and Cubase 10 Pro. I get an error message now when I try to open Cubase 5 (which unfortunately I don't have in front of me) but it may be something to do with the licence, as this was an upgrade.

svennilenni
Grand Senior Member
Posts: 5302
Joined: Sat Nov 28, 2015 3:21 pm
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by svennilenni »

If it is different computers you are running the two versions on - you need to update the Elicenser Software on the computer running Cubase 5. If that´s not it, post some useful information.

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Both are on the same PC.

User avatar
silhouette
Senior Member
Posts: 1340
Joined: Fri Jan 14, 2011 12:45 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by silhouette »

Can you open a C5 project in C10? If so you should be able to go from there. You might have to check that all the content and plugin paths are the same. Also it might be that you will need to update the eLicenser software as it has changed quite a lot since C10 - however, I am assuming that you have already done this.
Intel core i7 5960X CPU 3.0 GHz 64bit 32 gig RAM - Windows 10 - AMD RadeonHD 7700 - RME Fireface UC - Cubase 10.5 - UAD Solo + Duo + Quad - Nektar Panorama P1 - Komplete 12 - All uhe - Adam AX7 + Adam Sub 8 - BFD3 - Alchemy - PSP - FabFilter - Fender Telecaster- Wudtone Strat - Gibson L4, 335x2,330L,175 -Ibanez PM100 - Musicman Silhouette x 3 - Warwick Thumb Bass - Kemper Profiling Amp -https://soundcloud.com/silhouette-17

User avatar
Prock
Grand Senior Member
Posts: 3969
Joined: Sat Jan 05, 2013 4:22 pm
Location: Connecticut, USA
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Prock »

Well... the Cubase Pro 10 license will allow you to use the Cubase 5 software. So I suppose you need to explain or post a few screenshots of the error. And add any other details you think might help us help you... like Computer OS, etc.

Regards 8-)
PRock Studio

DAW: Cubase Pro 10.5.20, OS: Win 10 Pro x64, CPU: Intel Core i7 4700K @ 4.0GHz, RAM: 32GB/DDR4/2800MHz, Graphics: 4GB GeForce GTX 960, Mobo: MSI Z170A Gaming Pro Carbon, AI: PreSonus Studio 192 Mobile, Mic Preamp: PreSonus TubePre, Headphone Amp: PreSonus HP4, Studio Monitors: Mackie MR5, 3rd Party VSTs: GSi VB3-II, SampleTank 3, Amplitube 4, Miroslav Philharmonik 2, EZDrummer 2

https://soundcloud.com/prockstudio

vinark
Member
Posts: 672
Joined: Wed Dec 15, 2010 5:24 pm
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by vinark »

If everything fails you could install 8.5 which still has 32bit support.
Did you have the 32 or 64 bit version of 5. And was there ever anything as artist or pro back then?

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Cubase error.jpg
(90.18 KiB) Not downloaded yet
Just tried a C5 project in C10 and that opened fine apart from all the missing 32-bit plugins, of course. But it worked. I've attached a screenshot of the error I got when trying to open C5. It seems it might be related to 'GUI resources' in some way. I had to change to 'Aero' to get C10 working. Could that be causing a problem? OS is Windows 7 - professional.
Last edited by Biggtime on Fri Jun 07, 2019 2:52 pm, edited 1 time in total.

svennilenni
Grand Senior Member
Posts: 5302
Joined: Sat Nov 28, 2015 3:21 pm
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by svennilenni »

Biggtime wrote:
Fri Jun 07, 2019 2:48 pm
Just tried a C5 project in C10 and that opened fine apart from all the missing 32-bit plugins, of course. But it worked. I've attached a screenshot of the error I got when trying to open C5. It seems it might be related to 'GUI resources' in some way. I had to change to 'Aero' to get C10 working. Could that be causing a problem? OS is Windows 7 - professional.
Switch off AERO and try..!? :roll:

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Tried it. Unfortunately didn't work. Error happens when C5 is loading GUI resources and it says it can't load them. Was working before so only changes are install of C10 and change to Aero so that C10 would run.

vinark
Member
Posts: 672
Joined: Wed Dec 15, 2010 5:24 pm
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by vinark »

If it is for 32 bit plugins only you need C5, get jbridge. It will bridge 32 bit plugins to 64 bit very reliably and they will still load old projects. There is a demo available so give it a try plus it is cheap and has great support. It does require some work to get your head around but easiest is to leave the 32 bit plugs where they are and the bridged files in you 64 bit vst folder. Try with one plugin first. Also try to get as many 64 bit versions of your plugs as you can.

User avatar
Prock
Grand Senior Member
Posts: 3969
Joined: Sat Jan 05, 2013 4:22 pm
Location: Connecticut, USA
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Prock »

Looks like something got corrupted...

I would try going to the Windows Programs and Apps menu and try repairing CB 5 from there (can't remember in Win 7 but, the button name might be "Modify" then "Repair").

Regards 8-)
PRock Studio

DAW: Cubase Pro 10.5.20, OS: Win 10 Pro x64, CPU: Intel Core i7 4700K @ 4.0GHz, RAM: 32GB/DDR4/2800MHz, Graphics: 4GB GeForce GTX 960, Mobo: MSI Z170A Gaming Pro Carbon, AI: PreSonus Studio 192 Mobile, Mic Preamp: PreSonus TubePre, Headphone Amp: PreSonus HP4, Studio Monitors: Mackie MR5, 3rd Party VSTs: GSi VB3-II, SampleTank 3, Amplitube 4, Miroslav Philharmonik 2, EZDrummer 2

https://soundcloud.com/prockstudio

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

vinark wrote:
Fri Jun 07, 2019 3:12 pm
If it is for 32 bit plugins only you need C5, get jbridge. It will bridge 32 bit plugins to 64 bit very reliably and they will still load old projects. There is a demo available so give it a try plus it is cheap and has great support. It does require some work to get your head around but easiest is to leave the 32 bit plugs where they are and the bridged files in you 64 bit vst folder. Try with one plugin first. Also try to get as many 64 bit versions of your plugs as you can.
Thanks! I'd seen a link to Jbridge so it is great to also see a recommendation. I'll definitely give that a try as I don't want to lose so many plugins (even if they are a bit old). Things like Vienna Instruments, Korg Legacy, a whole load Amplitube effects, T-RackS, BfD. A big list in the end.

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Prock wrote:
Fri Jun 07, 2019 4:04 pm
Looks like something got corrupted...

I would try going to the Windows Programs and Apps menu and try repairing CB 5 from there (can't remember in Win 7 but, the button name might be "Modify" then "Repair").

Regards 8-)
Thanks. I'll give that try now.

vinark
Member
Posts: 672
Joined: Wed Dec 15, 2010 5:24 pm
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by vinark »

You know that you can also install and use any version before 10. So also the latest that supported 32bit plugs. (8.5 I think. full installer is on the steinberg site under downloads)

Biggtime
New Member
Posts: 8
Joined: Fri Jun 07, 2019 9:18 am
Contact:

Re: Cubase 10 upgrade from Cubase 5 - can I still use 5?

Post by Biggtime »

Prock wrote:
Fri Jun 07, 2019 4:04 pm
Looks like something got corrupted...

I would try going to the Windows Programs and Apps menu and try repairing CB 5 from there (can't remember in Win 7 but, the button name might be "Modify" then "Repair").

Regards 8-)
Great advice! The repair worked. Many thanks!

Post Reply

Return to “General”

Who is online

Users browsing this forum: Cubaser24 and 4 guests